--- postinit.c.orig	2013-12-06 10:26:47.773341120 +0100
+++ postinit.c	2013-12-06 10:37:30.185894650 +0100
@@ -220,6 +220,26 @@
 
 	if (Log_connections)
 	{
+#ifdef USE_SSL
+		if (am_walsender)
+			if (port->ssl > 0)
+				ereport(LOG,
+						(errmsg("replication connection authorized: user=%s SSL(protocol: %s, cipher: %s)",
+								port->user_name, SSL_get_version(port->ssl), SSL_get_cipher(port->ssl))));
+			else
+				ereport(LOG,
+						(errmsg("replication connection authorized: user=%s",
+								port->user_name)));
+		else
+			if (port->ssl > 0)
+				ereport(LOG,
+						(errmsg("connection authorized: user=%s database=%s SSL(protocol: %s, cipher: %s)",
+								port->user_name, port->database_name, SSL_get_version(port->ssl), SSL_get_cipher(port->ssl))));
+			else
+				ereport(LOG,
+						(errmsg("connection authorized: user=%s database=%s",
+								port->user_name, port->database_name)));
+#else
 		if (am_walsender)
 			ereport(LOG,
 					(errmsg("replication connection authorized: user=%s",
@@ -228,6 +248,7 @@
 			ereport(LOG,
 					(errmsg("connection authorized: user=%s database=%s",
 							port->user_name, port->database_name)));
+#endif
 	}
 
 	set_ps_display("startup", false);
